<template>
	<xn-form-container
		:title="formData.id ? '编辑单位组' : '增加单位组'"
		:width="700"
		:visible="visible"
		:destroy-on-close="true"
		@close="onClose"
	>
		<dynamic-form></dynamic-form>
		<template #footer>
			<a-button style="margin-right: 8px" @click="onClose">关闭</a-button>
			<a-button type="primary" @click="onSubmit" :loading="submitLoading">保存</a-button>
		</template>
	</xn-form-container>
</template>

<script setup>
	// const props = defineProps({})

	// const emit = defineEmits()

	const submitLoading = ref(false)

	// 关闭
	const onClose = () => {}

	// 保存
	const onSubmit = () => {}

	// 生命周期钩子
	onMounted(() => {
		console.log('Component mounted')
		// TODO: Add your onMounted code here
	})

	onUpdated(() => {
		console.log('Component updated')
		// TODO: Add your onUpdated code here
	})

	onUnmounted(() => {
		console.log('Component unmounted')
		// TODO: Add your onUnmounted code here
	})

	// watch(() => {}, () => {})
</script>

<style scoped></style>
